From: Kali Developers <devel@kali.org>
Date: Fri, 27 Mar 2020 15:59:02 +0100
Subject: update-configuration

---
 config/update-config.py | 65 +++++++++++++++++++++++++------------------------
 1 file changed, 33 insertions(+), 32 deletions(-)

diff --git a/config/update-config.py b/config/update-config.py
index 33ef40b..c4159fd 100755
--- a/config/update-config.py
+++ b/config/update-config.py
@@ -198,6 +198,7 @@ if __name__ == '__main__':
             options["METASPLOIT_PATH"] = "/usr/share/metasploit-framework/"
             options["MSFVENOM_PATH"] = "/usr/bin/"
             options["TERMINAL_CLEAR"] = "false"
+            options["VEIL_PATH"] = "/usr/share/veil/"
         # BackTrack
         elif issue.startswith( "BackTrack" ):
             options["OPERATING_SYSTEM"] = "BackTrack"
@@ -205,62 +206,62 @@ if __name__ == '__main__':
             options["MSFVENOM_PATH"] = "/opt/metasploit/msf3/"
 
         # Check the paths are correct (WINEPREFIX)
-        while not os.path.isdir( options["TEMP_PATH"] ):
-            path = input( " [>] Please enter the directory of your system's temp path (e.g. /tmp/): " )
-            path = str(path)
-            options["TEMP_PATH"] = path
+        #while not os.path.isdir( options["TEMP_PATH"] ):
+        #    path = input( " [>] Please enter the directory of your system's temp path (e.g. /tmp/): " )
+        #    path = str(path)
+        #    options["TEMP_PATH"] = path
         if not options["TEMP_PATH"].endswith('/'):
             options["TEMP_PATH"] += "/"
 
         # Check the paths are correct (METASPLOIT_PATH)
-        while not os.path.isdir( options["METASPLOIT_PATH"] ):
-            path = input( " [>] Please enter the directory of the Metasploit Framework (e.g. %s): " % ( options["METASPLOIT_PATH"] ) )
-            path = str(path)
-            options["METASPLOIT_PATH"] = path
+        #while not os.path.isdir( options["METASPLOIT_PATH"] ):
+        #    path = input( " [>] Please enter the directory of the Metasploit Framework (e.g. %s): " % ( options["METASPLOIT_PATH"] ) )
+        #    path = str(path)
+        #    options["METASPLOIT_PATH"] = path
         if not options["METASPLOIT_PATH"].endswith('/'):
             options["METASPLOIT_PATH"] += "/"
 
         # Check the paths are correct (MSFVENOM_PATH)
-        while not os.path.isfile( options["MSFVENOM_PATH"] + "/msfvenom" ):
-            path = input( " [>] Please enter the directory of msfvenom (e.g. /usr/bin/): " )
-            path = str(path)
-            options["MSFVENOM_PATH"] = path
+        #while not os.path.isfile( options["MSFVENOM_PATH"] + "/msfvenom" ):
+        #    path = input( " [>] Please enter the directory of msfvenom (e.g. /usr/bin/): " )
+        #    path = str(path)
+        #    options["MSFVENOM_PATH"] = path
         if not options["MSFVENOM_PATH"].endswith('/'):
             options["MSFVENOM_PATH"] += "/"
 
         # Check the paths are correct (VEIL_PATH)
-        while not os.path.isdir( options["VEIL_PATH"] ):
-            print( "\n [i] Can't find Veil's path?   Run: %s --force --silent" % ( os.path.abspath("./config/setup.sh" ) ) )
-            path = str(path)
-            path = input( " [>] Please enter the directory to Veil (e.g. /opt/veil/): " )
-            options["VEIL_PATH"] = path
+        #while not os.path.isdir( options["VEIL_PATH"] ):
+        #    print( "\n [i] Can't find Veil's path?   Run: %s --force --silent" % ( os.path.abspath("./config/setup.sh" ) ) )
+        #    path = str(path)
+        #    path = input( " [>] Please enter the directory to Veil (e.g. /opt/veil/): " )
+        #    options["VEIL_PATH"] = path
         if not options["VEIL_PATH"].endswith('/'):
             options["VEIL_PATH"] += "/"
 
         # Check the paths are correct (PYINSTALLER_PATH)
-        while not os.path.isdir( options["PYINSTALLER_PATH"] ):
-            print( "\n [i] Can't find PyInstaller?   Run: %s --force --silent" % ( os.path.abspath("./config/setup.sh" ) ) )
-            path = input( " [>] Please enter the directory of PyInstaller (e.g. %s): " % ( options["PYINSTALLER_PATH"] ) )
-            path = str(path)
-            options["PYINSTALLER_PATH"] = path
+        #while not os.path.isdir( options["PYINSTALLER_PATH"] ):
+        #    print( "\n [i] Can't find PyInstaller?   Run: %s --force --silent" % ( os.path.abspath("./config/setup.sh" ) ) )
+        #    path = input( " [>] Please enter the directory of PyInstaller (e.g. %s): " % ( options["PYINSTALLER_PATH"] ) )
+        #    path = str(path)
+        #    options["PYINSTALLER_PATH"] = path
         if not options["PYINSTALLER_PATH"].endswith('/'):
             options["PYINSTALLER_PATH"] += "/"
 
         # Check the paths are correct (WINEPREFIX)
-        while not os.path.isdir( options["WINEPREFIX"] ):
-            print( "\n [i] Can't find WINE profile?   Run: %s --force --silent" % ( os.path.abspath("./config/setup.sh" ) ) )
-            path = input( " [>] Please enter the directory of Veil's WINE profile (e.g. %s): " % ( options["WINEPREFIX"] ) )
-            path = str(path)
-            options["WINEPREFIX"] = path
+        #while not os.path.isdir( options["WINEPREFIX"] ):
+        #    print( "\n [i] Can't find WINE profile?   Run: %s --force --silent" % ( os.path.abspath("./config/setup.sh" ) ) )
+        #    path = input( " [>] Please enter the directory of Veil's WINE profile (e.g. %s): " % ( options["WINEPREFIX"] ) )
+        #    path = str(path)
+        #    options["WINEPREFIX"] = path
         if not options["WINEPREFIX"].endswith('/'):
             options["WINEPREFIX"] += "/"
 
         # Check the paths are correct (GOLANG_PATH)
-        while not os.path.isdir( options["GOLANG_PATH"] ):
-            print( "\n [i] Can't find GoLang?   Run: %s --force --silent" % ( os.path.abspath("./config/setup.sh" ) ) )
-            path = input( " [>] Please enter the directory of GoLang (e.g. %s): " % ( options["GOLANG_PATH"] ) )
-            path = str(path)
-            options["GOLANG_PATH"] = path
+        #while not os.path.isdir( options["GOLANG_PATH"] ):
+        #    print( "\n [i] Can't find GoLang?   Run: %s --force --silent" % ( os.path.abspath("./config/setup.sh" ) ) )
+        #    path = input( " [>] Please enter the directory of GoLang (e.g. %s): " % ( options["GOLANG_PATH"] ) )
+        #    path = str(path)
+        #    options["GOLANG_PATH"] = path
         if not options["GOLANG_PATH"].endswith('/'):
             options["GOLANG_PATH"] += "/"
     # Unsupported platform...
